Standard Card Transaction Status

API Explorer
loading...
POST

Retrieves the current status details of a specific card transaction.

Header Parameters

token(Please Enter token that is generated from the iPOSpays Merchant Portal)*apikey

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/standardTransactStatus" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "MERCHANT_ID_HERE",      "transactionReferenceId": "TRANS_REF_ID_HERE"    }  }'
{
  "iposhpresponse": {
    "Response": {
      "RespCode": "00",
      "AppCode": "AXS009",
      "RespMsg": "Approved",
      "TxRefNo": "3245623463254631",
      "DTxId": "99454496548357183920250626112804",
      "HTxId": "000000321000010",
      "BatchNo": 993,
      "InvoiceNo": 9,
      "Rrn": "517705501432",
      "ProcessingCode": "000000",
      "HRC": "00",
      "RespStatus": "Approved",
      "Amount": "150",
      "Tips": "00",
      "CustomFee": "8",
      "FeeLabel": "Custom Fee",
      "LocalTax": "30",
      "StateTax": "15",
      "LTaxLabel": "Local Tax",
      "GTaxLabel": "State Tax",
      "TotalAmount": "203",
      "TxnSettleStatus": "Yet to Settle",
      "TransactionType": "SALE"
    },
    "TxDetail": {
      "DateNTime": "20250626112804",
      "Tpn": "962923571839"
    },
    "Card": {
      "ChdToken": "Your CardTokenHere",
      "Label": "AMEX",
      "MaskedPan": "3796056666"
    }
  }
}
{
  "errors": [
    {
      "field": "IPOSTRANCT_001",
      "message": "No Transaction Registered with This TransactionRefId. Please try with valid details.",
      "bulbIconRequired": false
    }
  ]
}